from distutils.core import setup

from setuptools import find_packages

setup(name='ee',
      version='1.0',
      packages=find_packages('src'),
      package_dir={'': 'src'},
      entry_points={
          'console_scripts': ['ee=ee.__main__:main'],
      },
      install_requires=[
          'ansicolors',
          'cachecontrol',
          'lockfile',
          'lxml',
          'matplotlib',
          'mpmath',
          'mypy',
          'numpy',
          'pandas',
          'parsec',
          'Pillow',
          'pytest',
          'pyyaml',
          'requests',
          'sympy',
      ],
      )
